<link rel="import" href="../../../html/polymer.html">

<link rel="import" href="chrome://resources/polymer/v1_0/iron-flex-layout/iron-flex-layout-classes.html">
<link rel="import" href="chrome://resources/polymer/v1_0/paper-spinner/paper-spinner-lite.html">
<link rel="import" href="../../../html/i18n_behavior.html">
<link rel="import" href="base_page.html">

<dom-module id="confirmation-code-page">
  <template>
    <style include="iron-flex iron-positioning">
      [slot='page-body'] {
        margin-top: -20px;
      }

      #outerDiv {
        height: 236px;
      }

      .container {
        width: 472px;
      }

      #details {
        align-items: center;
        color: var(--cr-primary-text-color);
        display: flex;
        margin-bottom: 40px;
      }

      #profileImage {
        margin-inline-end: 16px;
      }

      #confirmationCodeContainer {
        margin-inline-end: 16px;
      }

      paper-spinner-lite {
        height: 20px;
        position: absolute;
        right: 16px;
        top: 24px;
        width: 20px;
      }

      #loadingMessage {
        bottom: 0;
        color: var(--google-grey-refresh-500);
        font-size: var(--cr-form-field-label-font-size);
        letter-spacing: .4px;
        line-height: var(--cr-form-field-label-line-height);
        position: absolute;
      }
    </style>
    <base-page>
      <div slot="page-body">
        <div id="description">[[i18n('confirmationCodeMessage')]]</div>
        <div id="outerDiv" class="layout horizontal center">
          <div class="container">
            <div id="details" hidden$="[[!shouldShowProfileDetails_(profile)]]">
              <!-- TODO(crbug.com/1093185): Update with real profile image. -->
              <img id="profileImage" src="default_esim_profile.svg">
              <div>
                [[getProfileName_(profileProperties_)]]
              </div>
            </div>
            <div id="confirmationCodeContainer" class="relative">
              <cr-input id="confirmationCode"
                  label="[[i18n('confirmationCodeInput')]]"
                  value="{{confirmationCode}}"
                  aria-describedby="description"
                  error-message="[[i18n('confirmationCodeError')]]"
                  invalid="[[showError]]">
              </cr-input>
              <paper-spinner-lite active
                  hidden$="[[!showLoadingIndicator]]">
              </paper-spinner-lite>
              <div id="loadingMessage" hidden$="[[!showLoadingIndicator]]">
                [[i18n('confirmationCodeLoading')]]
              </div>
            </div>
          </div>
        </div>
      </div>
    </base-page>
  </template>
  <script src="confirmation_code_page.js"></script>
</dom-module>
